Bug 120227 - CRASH: Opening Format > Page in main menu crashes Calc
Summary: CRASH: Opening Format > Page in main menu crashes Calc
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: All All
: high major
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.2.0
Keywords: bibisected, bisected, needUITest, regression
Depends on:
Blocks:
 
Reported: 2018-10-01 08:14 UTC by Thomas Lendo
Modified: 2018-10-03 14:26 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Lendo 2018-10-01 08:14:56 UTC
When clicking at 'Format > Page...' in the main menu of Calc, LibreOffice crashes.

Version: 6.2.0.0.alpha0+ (x64)
Build ID: 89a60912bba7ffd6f65ea99f4664f343c5025c95
CPU threads: 8; OS: Windows 10.0; UI render: GL; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-10-01_03:18:33
Locale: de-AT (de_AT); Calc: CL
Comment 1 Xavier Van Wijmeersch 2018-10-01 09:18:17 UTC
confirm with

Version: 6.2.0.0.alpha0+
Build ID: 3b4935255c3b1c4592259239d6ade4adae6cb888
CPU threads: 8; OS: Linux 4.14; UI render: default; VCL: kde4; 
Locale: nl-BE (en_US.UTF-8); Calc: threaded
Comment 2 Cor Nouws 2018-10-01 15:38:38 UTC
more crash reports
 crashreport.libreoffice.org/stats/crash_details/702c7520-b097-49df-84ce-3c7dc1e19bb9
 crashreport.libreoffice.org/stats/crash_details/76bb0890-7aef-4eaa-829e-deba96207a4f
Comment 3 Xisco Faulí 2018-10-01 16:45:42 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=b2e7956c6ce350eeaa1e4ea79909afd8480ee242

author	Caolán McNamara <caolanm@redhat.com>	2018-09-27 16:25:51 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2018-09-28 15:36:15 +0200
commit	b2e7956c6ce350eeaa1e4ea79909afd8480ee242 (patch)
tree	df7f3ade8237c07f8fdcf9aaeca86aa197e099e7
parent	3833b8e8fba49b91259cb52ee6181ce7a602c1e7 (diff)
weld ScStyleDlg

Bisected with: bibisect-linux64-6.2

Adding Cc: to Caolán McNamara
Comment 4 Caolán McNamara 2018-10-02 08:15:48 UTC
button missing in the .ui
Comment 5 Commit Notification 2018-10-02 14:01:29 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=80e840a5208a822aa92ae5869ce34fe0dad8c63e

tdf#120227 'standard' button missing from .ui

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2018-10-03 14:26:44 UTC
Verified in

Version: 6.2.0.0.alpha0+
Build ID: 8ea0b0f4dc5eba2d0bafc2e42415ef1824ff604e
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: threaded

@Caolán, thanks for the quick fix!